[Overview][Constants][Types][Classes][Index] | Reference for unit 'syncobjs' (#fcl)

# TSynchroObject.Acquire

Acquire synchronization resource

## Declaration

Source position: syncobjs.pp line 38

`procedure TSynchroObject.Acquire; virtual;`

## Description

Acquire does nothing in TSynchroObject. Descendent classes must override this method to acquire the resource they manage.

## See also

Release |  | Release previously acquired synchronization resource